LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
track_rect Struct Reference

`#include <multitrack.h>`

## Data Fields
ulong | uid
track_rect * | next
track_rect * | prev
weed_plant_t * | start_event
weed_plant_t * | end_event
weed_timecode_t | offset_start
| offset in sourcefile of first frame More...
lives_mt_block_state_t | state
boolean | start_anchored
boolean | end_anchored
boolean | ordered
| are frames in sequential order ? More...
LiVESWidget * | eventbox
| pointer to eventbox widget which contains this block; we can use its "layer_number" to get the track/layer number More...

## Detailed Description

track rectangles (blocks), we translate our event_list FRAME events into these, then when exposed, the eventbox draws them blocks MUST only contain frames from a single clip. They MAY NOT contain blank frames.

start and end events MUST be FRAME events

## Field Documentation

boolean track_rect::end_anchored

weed_plant_t* track_rect::end_event

LiVESWidget* track_rect::eventbox

pointer to eventbox widget which contains this block; we can use its "layer_number" to get the track/layer number

track_rect* track_rect::next

weed_timecode_t track_rect::offset_start

offset in sourcefile of first frame

boolean track_rect::ordered

are frames in sequential order ?

track_rect* track_rect::prev

boolean track_rect::start_anchored

weed_plant_t* track_rect::start_event

lives_mt_block_state_t track_rect::state

ulong track_rect::uid

The documentation for this struct was generated from the following file:

- src/multitrack.h